package com.lynx.tasm.behavior.ui.scroll;

import X.QNZ;
import com.bytedance.covode.number.Covode;
import com.lynx.tasm.behavior.ui.LynxBaseUI;
import com.lynx.tasm.behavior.ui.view.UISimpleView$$PropsSetter;

public class UIBounceView$$PropsSetter extends UISimpleView$$PropsSetter {
    static {
        Covode.recordClassIndex(46740);
    }

    public void setProperty(LynxBaseUI lynxBaseUI, String str, QNZ qnz) {
        UIBounceView uIBounceView = (UIBounceView) lynxBaseUI;
        str.hashCode();
        if (!str.equals("direction")) {
            super.setProperty(lynxBaseUI, str, qnz);
        } else {
            uIBounceView.setDirection(qnz.LJFF(str));
        }
    }
}
